Bug 608900 - rfe: setup default laptop brightness on boot
Summary: rfe: setup default laptop brightness on boot
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: kde-4.5
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 20:57 UTC by DennyHalim.com
Modified: 2016-02-01 20:47 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 20:47:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description DennyHalim.com 2010-06-28 20:57:04 UTC
Description of problem:

everytime fedora starts, it (or something else) sets the brightness to the highest level. which is very inconvinience for my eyes.
so i have to re-setting the brightness  everytime it started. which is quite annoying...

is there a way we can tell fedora to adjust the screen brightness when it starts? or remember our brightness settings?



tnx

Comment 1 Jesse Keating 2010-06-28 21:37:49 UTC
Is this problem before or after you log in?  What desktop are you using?

Comment 2 DennyHalim.com 2010-06-29 01:58:36 UTC
the seconds fedora (grub?) boots.
before login.
also when i use console (tty).

after login, i use kde and kde adjust the brightness correctly.
but before login, the brightness is killing my lcd and burning my eyes.

Comment 3 Bill Nottingham 2010-06-29 15:15:59 UTC
If kde has a setting for it, it probably should have a mechanism to propagate that to the display manager in some way. (GNOME does this by running gnome-power-manager in the display manager's session.)

Assigning to kdebase.

Comment 4 Rex Dieter 2010-06-29 15:40:44 UTC
This is being worked on, not sure when it'll land upstream, tentatively marking depending on kde-4.5

rpm -q kdebase-workspace 
please.

Comment 5 Kevin Kofler 2010-06-29 16:59:46 UTC
Well, the setting in PowerDevil is per user, KDM runs as root.

Comment 6 Kevin Kofler 2010-06-29 17:00:08 UTC
(And I don't think KDM is running PowerDevil at all.)

Comment 7 Jesse Keating 2010-06-29 17:27:31 UTC
Also, for grub that would be a bios level brightness setting, done by the hardware.  Often hardware will retain the brightness setting last used, but if your hardware doesn't I'm not sure there is much we can do there.

Comment 8 DennyHalim.com 2010-06-30 02:43:39 UTC
that mostly answer for kdm problem.

how about console?
cant we set a default brightness for console?

Comment 9 DennyHalim.com 2010-07-01 09:40:13 UTC
oh i missed this one:
rpm -q kdebase-workspace 
kdebase-workspace-4.4.4-2.fc13.i686

btw. when i do shutdown/reboot kde seems to reset the brightness to highest level right before the system shutdown/reboot.

also, imho, it's best to set the brightness at init 3 so that we can have confortable environment even when we boot into console.

tnx

Comment 10 Kevin Kofler 2010-07-01 13:32:17 UTC
> btw. when i do shutdown/reboot kde seems to reset the brightness to highest
> level right before the system shutdown/reboot.

Well yes, it doesn't want that user-specific setting to affect other users on the system. Restoring settings on logout is the right thing to do in software designed for (potentially) multi-user systems.

Comment 11 DennyHalim.com 2010-07-11 06:25:35 UTC
maybe a way root can set a system default for all new users.
especially before user login.

coz, lots of time, the system left without anyone login and that will easily burn out the lcd.

tnx

Comment 12 DennyHalim.com 2010-07-11 06:27:18 UTC
o btw.
many other distro have laptop-mode-tools that very helpful adjusting hdparm, brightness, etc...

Comment 13 Christopher Beland 2015-04-28 21:18:29 UTC
This bug has been open a long time.  Is this still a problem for KDE users?  In Fedora 21, when I change brightness inside GNOME, those changes also affect the login screen and text consoles.

Comment 14 Ngo Than 2016-02-01 20:47:54 UTC
it's feature request which should be done from upstream.


Note You need to log in before you can comment on or make changes to this bug.